Package picard.fingerprint

## Class CrosscheckReadGroupFingerprints

- java.lang.Object
- - picard.cmdline.CommandLineProgram
  - - picard.fingerprint.CrosscheckFingerprints
    - - picard.fingerprint.CrosscheckReadGroupFingerprints

-     @Deprecated
      public class CrosscheckReadGroupFingerprints
      extends CrosscheckFingerprints

  Deprecated.
  6/6/2017 Use `CrosscheckFingerprints` instead.
  Program to check that all read groups within the set of BAM files appear to come from the same individual.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `boolean` | `CROSSCHECK_LIBRARIES` | Deprecated.
    `boolean` | `CROSSCHECK_SAMPLES` | Deprecated.
    `boolean` | `EXPECT_ALL_READ_GROUPS_TO_MATCH` | Deprecated.

    - ### Fields inherited from class picard.fingerprint.CrosscheckFingerprints

      `ALLOW_DUPLICATE_READS, CALCULATE_TUMOR_AWARE_RESULTS, CROSSCHECK_BY, CROSSCHECK_MODE, EXIT_CODE_WHEN_MISMATCH, EXIT_CODE_WHEN_NO_VALID_CHECKS, EXPECT_ALL_GROUPS_TO_MATCH, GENOTYPING_ERROR_RATE, HAPLOTYPE_MAP, INPUT, INPUT_SAMPLE_FILE_MAP, INPUT_SAMPLE_MAP, LOD_THRESHOLD, LOSS_OF_HET_RATE, MATRIX_OUTPUT, MAX_EFFECT_OF_EACH_HAPLOTYPE_BLOCK, NUM_THREADS, OUTPUT, OUTPUT_ERRORS_ONLY, SAMPLE_INDIVIDUAL_MAP, SECOND_INPUT, SECOND_INPUT_SAMPLE_MAP, TEST_INPUT_READABILITY`

    - ### Fields inherited from class picard.cmdline.CommandLineProgram

      `COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, GA4GH_CLIENT_SECRETS, MAX_ALLOWABLE_ONE_LINE_SUMMARY_LENGTH, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CrosscheckReadGroupFingerprints()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected String[]` | `customCommandLineValidation()` | Deprecated. Put any custom command-line validation in an override of this method.
    `protected int` | `doWork()` | Deprecated. Do the work after command line has been parsed.

    - ### Methods inherited from class picard.cmdline.CommandLineProgram

      `checkRInstallation, getCommandLine, getCommandLineParser, getCommandLineParserForArgs, getDefaultHeaders, getFaqLink, getMetricsFile, getPGRecord, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, requiresReference, setDefaultHeaders, useLegacyParser`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CROSSCHECK_SAMPLES

          @Argument(doc="Instead of producing the normal comparison of read-groups, roll fingerprints up to the sample level and print out a sample x sample matrix with LOD scores.")
          public boolean CROSSCHECK_SAMPLES

      Deprecated.

    - #### CROSSCHECK_LIBRARIES

          @Argument(doc="Instead of producing the normal comparison of read-groups, roll fingerprints up to the library level and print out a library x library matrix with LOD scores.")
          public boolean CROSSCHECK_LIBRARIES

      Deprecated.

    - #### EXPECT_ALL_READ_GROUPS_TO_MATCH

          @Argument(doc="Expect all read groups\' fingerprints to match, irrespective of their sample names.  By default (with this value set to false), read groups with different sample names are expected to mismatch, and those with the same sample name are expected to match.",
                    mutex="EXPECT_ALL_GROUPS_TO_MATCH")
          public boolean EXPECT_ALL_READ_GROUPS_TO_MATCH

      Deprecated.

  - ### Constructor Detail

    - #### CrosscheckReadGroupFingerprints

          public CrosscheckReadGroupFingerprints()

      Deprecated.

  - ### Method Detail

    - #### customCommandLineValidation

          protected String[] customCommandLineValidation()

      Deprecated.
      Description copied from class: `CommandLineProgram`
      Put any custom command-line validation in an override of this method. clp is initialized at this point and can be used to print usage and access argv. Any options set by command-line parser can be validated.
      Overrides:
        `customCommandLineValidation` in class `CrosscheckFingerprints`
      Returns:
        null if command line is valid. If command line is invalid, returns an array of error message to be written to the appropriate place.

    - #### doWork

          protected int doWork()

      Deprecated.
      Description copied from class: `CommandLineProgram`
      Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.
      Overrides:
        `doWork` in class `CrosscheckFingerprints`
      Returns:
        program exit status.